SUBDIRS = config dags pipeparts plots stats utilities workflows

AM_CPPFLAGS = -I$(top_srcdir)/lib

# This is a trick taken from the gst-python automake setup.
# All of the Python scripts will be installed under the exec dir,
# which prevents the module from getting spread across lib and lib64
# on e.g. CentOS.
pkgpythondir = $(pkgpyexecdir)

pkgpython_PYTHON = \
	__init__.py \
	bottle.py \
	coherent_null.py \
	dagfile.py \
	dagparts.py \
	datafind.py \
	datasource.py \
	elements.py \
	gstpipetools.py \
	httpinterface.py \
	kernels.py \
	matplotlibhelper.py \
	misc.py \
	pipeio.py \
	pipeline.py \
	pipeutil.py \
	plugins.py \
	psd.py \
	segments.py \
	servicediscovery.py \
	simplehandler.py \
	simulation.py \
	sngltriggertable.py \
	stream.py

pkgpyexec_LTLIBRARIES = _misc.la _sngltriggertable.la

_misc_la_SOURCES = misc.c
_misc_la_CPPFLAGS = $(AM_CPPFLAGS) $(PYTHON_CPPFLAGS)
_misc_la_LIBADD = $(top_builddir)/lib/gstlal/libgstlal.la
_misc_la_LDFLAGS = $(AM_LDFLAGS) $(PYTHON_LIBS) -module -avoid-version

_sngltriggertable_la_SOURCES = sngltriggertable.c
_sngltriggertable_la_CPPFLAGS = $(AM_CPPFLAGS) $(PYTHON_CPPFLAGS) -DMODULE_NAME="\"gstlal._sngltriggertable\""
_sngltriggertable_la_CFLAGS = $(AM_CFLAGS) $(GSTLAL_CFLAGS) $(LAL_CFLAGS) $(GSL_CFLAGS) $(gstreamer_CFLAGS) -fno-strict-aliasing -DMODULE_NAME="\"gstlal._sngltriggertable\""
_sngltriggertable_la_LIBADD = $(top_builddir)/lib/gstlal/libgstlal.la
_sngltriggertable_la_LDFLAGS = $(AM_LDFLAGS) $(LAL_LIBS) $(GSL_LIBS) $(PYTHON_LIBS) -module -avoid-version
